import java.awt.event.*;
import javax.swing.*;

public class EditorMenuBar extends JMenuBar
{
	EditorPanel panel;


	public EditorMenuBar(EditorPanel panel)
	{


		this.panel = panel;
		JMenu Crear	= new JMenu("Crear");
		JMenu Manipular	= new JMenu("Manipular");
		JMenu Ayuda 	= new JMenu("Ayuda");
		JMenuItem Rectangulo	= new JMenuItem("Rectangulo");
		JMenuItem Linea		= new JMenuItem("Linea");
		JMenuItem Circulo	= new JMenuItem("Circulo");
		JMenuItem Triangulo	= new JMenuItem("Triangulo");
		JMenuItem Rotar		= new JMenuItem("Rotar");
		JMenuItem Trasladar	= new JMenuItem("Trasladar");
		JMenuItem Escalar	= new JMenuItem("Escalar");
		JMenuItem help		= new JMenuItem("Ayuda");
		JMenuItem Acercade	= new JMenuItem("Acerca de..");

		Rectangulo.addActionListener(new RectanguloHandler(panel));
		Linea.addActionListener(new LineaHandler(panel));
		Circulo.addActionListener(new CirculoHandler(panel));
		Triangulo.addActionListener(new TrianguloHandler(panel));
		Rotar.addActionListener(new RotarHandler(panel));
		Trasladar.addActionListener(new TrasladarHandler(panel));
		Escalar.addActionListener(new EscalarHandler(panel));
		//help.addActionListener(new AAyudaListener());
		//Acercade.addActionListener(new AAcercadeListener());

		Crear.add(Rectangulo);
		Crear.add(Circulo);
		Crear.add(Triangulo);
		Crear.add(Linea);

		Manipular.add(Trasladar);
		Manipular.add(Escalar);
		Manipular.add(Rotar);

		Ayuda.add(help);
		Ayuda.add(Acercade);

		add(Crear);
		add(Manipular);
		add(Ayuda);


	}
}		  
